Solved crash when immersive engineering book is open

Status
Not open for further replies.
A

adacazine

Guest
Summary of the problem crash when immersive engineering book is open

Pack Version 1.1.0

What is the bug? When the immersive engineering book is open the game crashes. Sometimes the book may be open for a while or sometimes it will crash on opening. There is no specific page that triggers it.

Mod & Version Immersive engineering 0.12 - 74

Link to log file

Is it repeatable? Happens whenever immersive engineering book is open.

Known Fix
 

SnowShock35

FTB Pack Developer
Team Member
FTB Pack Developer
Feb 27, 2014
486
149
73
United Kingdom
snowshock35.com
I had this issue reported to me during testing. We have no idea what causes it. We think it might be java version related. Uncertain though. Thanks for the heads up about the issue.
 

grandrolf

Global moderator
Team Member
Global Moderator
Trusted User
Aug 29, 2014
2,530
232
133
sweden
heres the log after the crash happens
Great - thanks for sharing.

2 questions after checking that log.

1 - It states 141 mods, I only got 140 - did you add anything?

2 - It looks like something might be interfering with our game - do you have any 3rd party antivirus and / or firewall/security software running?
(not counting the built in ones)
 
A

adacazine

Guest
Great - thanks for sharing.

2 questions after checking that log.

1 - It states 141 mods, I only got 140 - did you add anything?

2 - It looks like something might be interfering with our game - do you have any 3rd party antivirus and / or firewall/security software running?
(not counting the built in ones)
1. bibliocraft is added. However the problem was happening before i added it.

2. no antivirus or security software
 
D

Daihok

Guest
The fix for this is to manually change the Java version minecraft uses in the options tab on MC launcher, or what ever launcher you use. I had this same issue till i saw on there github the fix for it, was under closed issues on IE git. MC comes bundled with java 8 -25 or something which is way outdated.
 

Chaos5061

New Member
Jul 29, 2019
82
0
1
The fix for this is to manually change the Java version minecraft uses in the options tab on MC launcher, or what ever launcher you use. I had this same issue till i saw on there github the fix for it, was under closed issues on IE git. MC comes bundled with java 8 -25 or something which is way outdated.
Well this didn't work for me. Every time I try to change the Java EXE it when I reload the Launcher it automatically makes it go back to the default option. So I tried a couple of different things.
1. I downloaded and installed a new Java.
2. Change the path in the Launcher to the new java. (Playing the pack through the twitch client in case that is important.)
3. Exit the Launcher.
4. When I open the launcher again the path for the java is back to it's default setting.

If I skip step 3 I get this crash as foilows
Error: Could not create the Java Virtual Machine.
Error:A fatal exception has occurred. Program will exit.

So I don't know what to do now.
 
D

Daihok

Guest
Did you make sure you used the 64bit java? It crashed on me till i figured out i kept trying to put in the 32 bit instead of 64bit.
 

Chaos5061

New Member
Jul 29, 2019
82
0
1
Did you make sure you used the 64bit java? It crashed on me till i figured out i kept trying to put in the 32 bit instead of 64bit.
Okay I read that Java now installs 64bit by default but apparently not. So I downloaded and installed the 64bit version and it fixed the Java virtual machine issue. But not the issue where the java goes back to default install. Also this does fix the crash with the book for me. I was able to read the book and no crashes.
 

Chaos5061

New Member
Jul 29, 2019
82
0
1
Did you change on the Twitch app or on the Minecraft launcher?
(you should do it on the twitch app - settings/minecraft)
If I change this setting I get the old Minecraft launcher not the new one.
Setting Native I get this launcher.
minecraftnew.png
Setting Jar Launcher I get this launcher.
minecraftjar.png
 

grandrolf

Global moderator
Team Member
Global Moderator
Trusted User
Aug 29, 2014
2,530
232
133
sweden
Yes, that's exactly right - you should get the old launcher when setting it to jar.
 

Chaos5061

New Member
Jul 29, 2019
82
0
1
Yes, that's exactly right - you should get the old launcher when setting it to jar.
Hmm going to have to think about what I want to do here until maybe the FTB Team fixes this. On the one hand I can just change the path of the jar in the native launcher everytime i run the game or I can just use the Jar Launcher instead. Meh not like doing either is such a big chore I'm just glad I can read the book without the game crashing since I've never used Immersive Engineering before.
 

grandrolf

Global moderator
Team Member
Global Moderator
Trusted User
Aug 29, 2014
2,530
232
133
sweden
Why are you so set on running the native launcher (that = using a really old java, v8.25) - why not use jar launcher and be able to use the latest version 8?

There are no benefits using the native launcher.

I mean, you've already decided to play modded.
 

Chaos5061

New Member
Jul 29, 2019
82
0
1
Why are you so set on running the native launcher (that = using a really old java, v8.25) - why not use jar launcher and be able to use the latest version 8?

There are no benefits using the native launcher.

I mean, you've already decided to play modded.
Not really set on it. Don't know if I've said in this thread or not but I've been away from Minecraft since 1.6.4 to I think 1.7.2 was the last version of Minecraft I played. I think AE2 had only come out like maybe 3 months before I stopped playing. So I have no idea if Mojang will just decided one day to get rid of the old launcher and have everyone on the new one so I might as well get used to it I figured. But if it becomes to much of a hassle to use the new one I'll just switch to the old one. I also have MultiMC downloaded and that was the last launcher I used because I basically went and created my own mod pack on it.
 
T

Thewcloner

Guest
To fix that IR book issues manually install the lastest version of java i think its 1.8 then go to minecraft options in the twitch options and make it run using the native launcher using the most recent javae version. I did this and havnt had any trouble at all
 
  • Like
Reactions: ICountFrom0

SnowShock35

FTB Pack Developer
Team Member
FTB Pack Developer
Feb 27, 2014
486
149
73
United Kingdom
snowshock35.com
Hi there,

Thank you for your patients. This issue has been addressed and fixed in the latest release of the modpack*, 1.9.0 - it's still a beta mind so be sure to backup before updating. As such, this issue will now be closed. If you're still experiencing problems please open a new issue report via the same method as before.

Many thanks once again for your help to find and iron out the various issues in the modpack.

Changelog (Basic):
https://www.feed-the-beast.com/projects/ftb-presents-direwolf20-1-12/files/2534193

* IE updated and addressed this issue by printing a message to chat for those running outdated versions of Java. While I don't feel this is the best solution, from what they've said it's nearly impossible to get around it without a large amount of work. You're advised to use the latest version of Java 8 which if anyone needs assistance with I will happily provide. (Please DM/PM me on the forums here for assistance.)
 
Status
Not open for further replies.